% Boundary for Adams Moulton m=2 is simply the Re(z)=0 line
plot([0 0], [-5 5], '-k');
hold on;

% Compute boundary of domain of stability for Adams-Moulton (m=2,...,4)
mstep_stab([1 -1 0], [5/12 2/3 -1/12], '-r');
mstep_stab([1 -1 0 0], [3/8 19/24 -5/24 1/24], '-b');
mstep_stab([1 -1 0 0 0], [251/720 646/720 -256/720 106/720 -19/720], '-m');
xlim([-7.5,.5]);
ylim([-4 4]);
hline = findobj(gcf, 'type', 'line');
set(hline, 'LineWidth', 4);
legend('am1','am2','am3','am4');
axis square;
